#include "ICollisionShape.h"
#include "BulletCLIMath.h"

namespace BulletCLI 
{
    void ICollisionShape::CalculateLocalInertia(float weight,[System::Runtime::InteropServices::Out] Vector3 %localInertia)
    {
        btScalar* mass=new btScalar(weight);
        btVector3* inertia=new btVector3();
        GetPtr()->calculateLocalInertia(*mass,*inertia);
        BulletCLI::BTVectorToXVector(*inertia,localInertia);
        delete inertia;
        delete mass;
    }

}